class CircuitRegion < ApplicationRecord
  acts_as_csv_import :fields => [:name]
  
  belongs_to :circuit_region_cat
  acts_as_sorting :fields => {
    :name => {:name => "Nom",:reorder => true},
    :actions => {:name => "Actions"}
  }

  has_many :circuits
  
end
